autoload -Uz compinit
compinit
# ZSH menu styling
# Enabling completers, cache and menu with selection.
zstyle :compinstall filename '/home/yessiest/.zshrc'
zstyle ':completion:*' completer _extensions _complete _approximate
zstyle ':completion:*' use-cache on
zstyle ':completion:*' cache-path "$HOME/.cache/zsh/.zcompcache"
zstyle ':completion:*' menu select
# Colors for descriptions
zstyle ':completion:*:*:*:*:descriptions' format '%F{green} %d:%f'
zstyle ':completion:*:*:*:*:corrections' format '%F{yellow} %d (errors: %e):%f'
# Custom coloring for options
zstyle ':completion:*:options' list-colors '=(#b)*(-- *)=0=38;5;241'
# Custom coloring for processes
zstyle ':completion:*:processes' list-colors '=(#b) #([0-9]#)*( *[a-z])*=0=38;5;242=32'
# Colors for LS
zstyle ':completion:*:default' list-colors ${(s.:.)LS_COLORS}

